package com.dsic.gj_erp.controller.zyjh;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jhgk.DmYdjh;
import com.dsic.gj_erp.bean.jhgk.DmYdjhLj;
import com.dsic.gj_erp.bean.zyjh.DmYppyz;
import com.dsic.gj_erp.service.jcsj.impl.DmDwxxpService;
import com.dsic.gj_erp.service.jhgk.DmYdjhLjService;
import com.dsic.gj_erp.service.jhgk.DmYdjhService;
import com.dsic.gj_erp.service.zyjh.DmYppyzService;
import com.dsic.gj_erp.service.zyjh.ZyjhService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("zyjh")
@AllArgsConstructor
public class GetXXXController {

    private final ZyjhService zyjhService;
    private final DmDwxxpService dmDwxxpService;
    private final DmYdjhLjService ydjhLjService;

    @GetMapping("getYppyz")
    public ResultBean<?> getYppyz(String zyq){
        return new ResultBean<>(zyjhService.getWppljAndPpyz(zyq));
    }

    @PostMapping("getYdjhlj")
    public ResultBean<?> getYdjhlj(@RequestBody DmYdjhLj lj){
        List<DmYdjhLj> list = ydjhLjService.list(Wrappers.<DmYdjhLj>lambdaQuery()
                .eq(DmYdjhLj::getCzbh, lj.getCzbh())
                .eq(StrUtil.isNotEmpty(lj.getPl()), DmYdjhLj::getPl, lj.getPl())
        );
        return new ResultBean<>(list);
    }

    @GetMapping("tq")
    public ResultBean<?> tqFromYdjh(){
        return new ResultBean<>(dmDwxxpService.getDwxxForSelect());
    }

    @GetMapping("getBFangDwxx")
    public ResultBean<?> getBFangDwxx(){
        return new ResultBean<>(dmDwxxpService.getDwxxForSelect());
    }
}
